Description

Hello,

WebKit is one of the most promising open source html rendering engines.

Although using WebKit based browser I can login into www.redmine.org, I cannot login to 0.8.0 installation.

Works with Firefox, Konqueror.

Thanks!

History

#1 - 2009-01-08 18:28 - Jean-Philippe Lang

Please, give the steps to reproduce.

#2 - 2009-01-08 20:03 - Alon Bar-Lev

1. Installed redmine-0.8.0 at server side.

2. Used Arora-0.4 with qt-webkit-4.4.2

3. Try to login to redmine.

4. User never login.

BTW: Konqueror support still does not work... The preview button does not work on this site, I also get a lot of javascript errors. Scriptless mode does

not work. Had to switch to Firefox. Also in Firefox with NoScript extension the preview does not show anything.

Thanks!

#3 - 2009-01-09 12:03 - Robert Cerny

Do we have a sample site to test this bug?

#4 - 2009-01-09 20:18 - Alon Bar-Lev

Robert Cerny wrote:

Do we have a sample site to test this bug?

 No... Sorry no public site.

But I use vanilla 0.8.0 version with arora browser.

Using test server, nothing special:

ruby script/server -e production 

 It should be easy to test.

#5 - 2009-01-09 21:05 - Jean-Philippe Lang

Works fine for me with Arora 0.4.

It also works pretty well with Safari and Chrome which are WebKit based.
http://www.redmine.org
http://code.google.com/p/arora/
http://webkit.org


Looks like your problem is not related to the browser. Please post, the HTTP headers of the login requests/responses if this problem is confirmed.

#6 - 2009-01-12 20:00 - Alon Bar-Lev

- File cap1 added

Hello,

Maybe it is a browser fault...

Well... There is too many issues with browsers and Redmine... Eventhough it looks a great start, I cannot put it on public site. As it requires

JavaScript, konqueror issues a lot of errors and the Arora example has issues.

I will follow this project as it is looks promissing.

#7 - 2009-01-12 20:59 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (0.8.0)

- Resolution set to Invalid

I don't know why but your browser doesn't send the session_id when being redirected to /my/page after successfull authentication. So it is redirected

back to /login.

This log doesn't show any problem on the application side, so I close this ticket. Reopen if needed.

Files

cap1 276 KB 2009-01-12 Alon Bar-Lev
